This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 55090 - portmap replies from wrong IP address
portmap replies from wrong IP address
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: portmap (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-25 08:56 EDT by Peter J. Holzer
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-30 12:18:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter J. Holzer 2001-10-25 08:56:15 EDT
Description of Problem:

When a machine has virtual interfaces, the reply from portmap will
not come from the IP address to which the request was sent, but
from the IP address of the "base interface".

If there is a stateful firewall between the client and the server or
if the client is paranoid, the request will fail.


Version-Release number of selected component (if applicable):

portmap-4.0-19

How Reproducible:


Steps to Reproduce:
1. Use a machine (in this example wsrgeh) with at least one
   virtual IP address (here wsrcom)
2. start tcpdump 
3. on a different machine, invoke "showmount -e wsrcom"
4. Observe the packets

Actual Results:

14:26:27.968144 < titan.wsr.ac.at.55629 > wsrcom.wsr.ac.at.sunrpc: udp 56 (DF)
14:26:27.968486 > wsrgeh.wsr.ac.at.sunrpc > titan.wsr.ac.at.55629: udp 28


Expected Results:

14:26:27.968144 < titan.wsr.ac.at.55629 > wsrcom.wsr.ac.at.sunrpc: udp 56 (DF)
14:26:27.968486 > wsrcom.wsr.ac.at.sunrpc > titan.wsr.ac.at.55629: udp 28



Additional Information:
	

In my testcase titan and wsrcom/wsrgeh are actually in different networks
separated by a firewall (iptables with ip_conntrack). I don't think this is
necessary to reproduce the problem, though.
Comment 1 Trond Eivind Glomsrxd 2001-10-30 12:11:59 EST
Waiting for an extra IP from IS to check...
Comment 2 Trond Eivind Glomsrxd 2001-10-30 14:11:11 EST
RHL 7.2 replies from queried interface.

Note You need to log in before you can comment on or make changes to this bug.